Bug 469404 - can't re-mount SD card
can't re-mount SD card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 12:57 EDT by Antonio
Modified: 2010-06-30 03:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:47:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full dmesg info (48.78 KB, application/octet-stream)
2009-04-08 20:39 EDT, Luo Bin
no flags Details

  None (edit)
Description Antonio 2008-10-31 12:57:15 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.2) Gecko/2008092318 Fedora/3.0.2-1.fc9 Firefox/3.0.2

Just after boot my system, the SD card reader works OK: the 'open with...' window let me choose among gThumb, File Manager, Do nothing, etc. Everything is perfect. I can even unmount the card (through right-click from its Icon in Nautilus) without any problem.

But, if I try to insert the card again (the same or another, I got the same result), the system won't be able to mount the card. Indeed, it will be necessary to reboot the box to recovery the previous 'perfect behaviour'

Reproducible: Always

Steps to Reproduce:
1. Insert SD card and browse its contents.
2. Unmount the SD card (selecting the option through right-click over the Icon)
3. Re-insert the SD card...
Actual Results:  
Error window: ''Cannot mount volume. Unable to mount the volume 'SD-card'. Details mount:/dev/mmcblk0p1: can't read superblock''

Another error window: ''Unable to mount location. DBus error org.freedesktop.DBus.Error.NoReply: Did no receive a reply. Possible cause include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.''

Expected Results:  
To browse seamless the SD contents every time I inserted

Final part of dmesg


SELinux: initialized (dev proc, type proc), uses genfs_contexts
virbr0: no IPv6 routers present
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1
  groups: 1 0
CE: hpet increasing min_delta_ns to 15000 nsec
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
wlan0: authenticate with AP 00:90:d0:ea:6c:97
wlan0: authenticated
wlan0: associate with AP 00:90:d0:ea:6c:97
wlan0: RX AssocResp from 00:90:d0:ea:6c:97 (capab=0x411 status=0 aid=1)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
SELinux: initialized (dev sda1, type fuseblk), uses genfs_contexts
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1
  groups: 1 0
wlan0: no IPv6 routers present
CE: hpet increasing min_delta_ns to 22500 nsec
mmc0: new SD card at address e624
mmcblk0: mmc0:e624 SD512 495488KiB 
 mmcblk0: p1
SELinux: initialized (dev mmcblk0p1, type vfat), uses genfs_contexts
CE: hpet increasing min_delta_ns to 33750 nsec
irq 19: nobody cared (try booting with the "irqpoll" option)
Pid: 5732, comm: Picasa2.exe Tainted: P          2.6.26.6-79.fc9.i686 #1
 [<c045f8c8>] __report_bad_irq+0x2e/0x6f
 [<c045facb>] note_interrupt+0x1c2/0x217
 [<c045f120>] ? handle_IRQ_event+0x2a/0x5a
 [<c046007a>] handle_fasteoi_irq+0x8f/0xaf
 [<c045ffeb>] ? handle_fasteoi_irq+0x0/0xaf
 [<c0406f40>] do_IRQ+0xd0/0xfc
 [<c04055eb>] common_interrupt+0x23/0x28
 [<c0418245>] ? read_hpet+0x11/0x12
 [<c043e374>] ? getnstimeofday+0x3c/0xd6
 [<c043e41f>] do_gettimeofday+0x11/0x2a
 [<c042cee4>] sys_gettimeofday+0x1d/0x58
 [<c0404c32>] syscall_call+0x7/0xb
 =======================
handlers:
[<f896f0f6>] (yenta_interrupt+0x0/0xba [yenta_socket])
[<f89e1876>] (sdhci_irq+0x0/0x50f [sdhci])
[<f88fe1ee>] (ata_sff_interrupt+0x0/0x1f2 [libata])
Disabling IRQ #19
CE: hpet increasing min_delta_ns to 50624 nsec
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x08668000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000000c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x07194000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x0a580000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x0db9c000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x089e0000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x0715c000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x08a32000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmcblk0: error -123 sending read/write command
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x0fac9000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmcblk0: error -123 sending read/write command
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmcblk0: error -123 sending read/write command
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x0e56f000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x1246c000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x0e935000 | Version:  0x00000400
sdhci: Blk size: 0x00007200 | Blk cnt:  0x00000001
sdhci: Argument: 0x0001da00 | Trn mode: 0x00000013
sdhci: Present:  0x01ff0001 | Host ctl: 0x00000003
sdhci: Power:    0x0000000e | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000103
sdhci: Timeout:  0x00000009 | Int stat: 0x000380c0
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000001
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmcblk0: error -110 transferring data
end_request: I/O error, dev mmcblk0, sector 237
FAT: unable to read boot sector
Comment 1 Mateusz M. 2008-12-26 07:29:55 EST
dhci: Secure Digital Host Controller Interface driver
sdhci: Copyright(c) Pierre Ossman
PM: Adding info for No Bus:sequencer
PM: Adding info for No Bus:sequencer2
sdhci-pci 0000:07:02.2: SDHCI controller found [1217:7120] (rev 1)
sdhci-pci 0000:07:02.2: found 1 slot(s)
sdhci-pci 0000:07:02.2: PCI INT A -> GSI 16 (level, low) -> IRQ 16
mmc0: Unknown controller version (16). You may experience problems.
sdhci [sdhci_add_host()]: Controller doesn't have DMA capability
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x00000000 | Version:  0x00001010
sdhci: Blk size: 0x00000000 | Blk cnt:  0x00000000
sdhci: Argument: 0x00000000 | Trn mode: 0x00000000
sdhci: Present:  0x01fa0000 | Host ctl: 0x00000000
sdhci: Power:    0x00000000 | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00000000
sdhci: Timeout:  0x00000000 | Int stat: 0x00000000
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
sdhci: Caps:     0x038021a1 | Max curr: 0x00ffffff
sdhci: ===========================================
PM: Adding info for No Bus:mmc0
Registered led device: mmc0
PM: Adding info for No Bus:mmc0
mmc0: clock 0Hz busmode 1 powermode 0 cs 0 Vdd 0 width 0 timing 0
mmc0: SDHCI controller on PCI [0000:07:02.2] using PIO
mmc0: clock 0Hz busmode 1 powermode 1 cs 0 Vdd 21 width 0 timing 0
mmc0: clock 128906Hz busmode 1 powermode 2 cs 0 Vdd 21 width 0 timing 0
mmc0: clock 128906Hz busmode 1 powermode 2 cs 1 Vdd 21 width 0 timing 0
mmc0: starting CMD0 arg 00000000 flags 000000c0
mmc0: req done (CMD0): -123: 00000000 00000000 00000000 00000000
mmc0: clock 128906Hz busmode 1 powermode 2 cs 0 Vdd 21 width 0 timing 0
mmc0: starting CMD8 arg 000001aa flags 000002f5
mmc0: req done (CMD8): -123: 00000000 00000000 00000000 00000000
mmc0: starting CMD5 arg 00000000 flags 000002e1
mmc0: req failed (CMD5): -123, retrying...
mmc0: req failed (CMD5): -123, retrying...
mmc0: req failed (CMD5): -123, retrying...
mmc0: req done (CMD5): -123: 00000000 00000000 00000000 00000000
mmc0: starting CMD55 arg 00000000 flags 000000f5
mmc0: req done (CMD55): -123: 00000000 00000000 00000000 00000000
mmc0: starting CMD55 arg 00000000 flags 000000f5
mmc0: req done (CMD55): -123: 00000000 00000000 00000000 00000000
mmc0: starting CMD55 arg 00000000 flags 000000f5
mmc0: req done (CMD55): -123: 00000000 00000000 00000000 00000000
mmc0: starting CMD55 arg 00000000 flags 000000f5
mmc0: req done (CMD55): -123: 00000000 00000000 00000000 00000000
mmc0: starting CMD1 arg 00000000 flags 000000e1
mmc0: req done (CMD1): -123: 00000000 00000000 00000000 00000000
mmc0: clock 0Hz busmode 1 powermode 0 cs 0 Vdd 0 width 0 timing 0

07:02.0 FireWire (IEEE 1394): O2 Micro, Inc. Firewire (IEEE 1394) (rev 02) (prog-if 10 [OHCI])
	Subsystem: Mitac Device 8258
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 64
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at a4003000 (32-bit, non-prefetchable) [size=4K]
	Region 1: Memory at a4004000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [60] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME+
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

07:02.2 SD Host controller: O2 Micro, Inc. Integrated MMC/SD Controller (rev 01)
	Subsystem: Mitac Device 8258
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at a4004800 (32-bit, non-prefetchable) [size=256]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: sdhci-pci
	Kernel modules: sdhci-pci

07:02.3 Mass storage controller: O2 Micro, Inc. Integrated MS/xD Controller (rev 01)
	Subsystem: Mitac Device 8258
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at a4001000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 2 Luo Bin 2009-04-08 09:53:25 EDT
i have the same problem!
when insert a SD card,the dmesg tells :mmc0: Timeout waiting for hardware interrupt.
[xelnaga@ASUS6 ~]$ dmesg |tail -n 50
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x00000000 | Version:  0x00000200
sdhci: Blk size: 0x00007008 | Blk cnt:  0x00000001
sdhci: Argument: 0x00000000 | Trn mode: 0x00000012
sdhci: Present:  0x01ff0206 | Host ctl: 0x00000001
sdhci: Power:    0x0000000f | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00008007
sdhci: Timeout:  0x00000009 | Int stat: 0x00000000
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmc0: error -110 whilst initialising SD card
mmc0: Timeout waiting for hardware interrupt.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0x00000000 | Version:  0x00000200
sdhci: Blk size: 0x00007008 | Blk cnt:  0x00000001
sdhci: Argument: 0x00000000 | Trn mode: 0x00000012
sdhci: Present:  0x01ff0206 | Host ctl: 0x00000001
sdhci: Power:    0x0000000f | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00008007
sdhci: Timeout:  0x00000009 | Int stat: 0x00000000
sdhci: Int enab: 0x00ff00fb | Sig enab: 0x00ff00fb
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmc0: error -110 whilst initialising SD card
[xelnaga@ASUS6 ~]$
Comment 3 David Zeuthen 2009-04-08 11:47:39 EDT
Looks like a hardware or driver bug to me.
Comment 4 Chuck Ebbert 2009-04-08 16:20:12 EDT
Can you post the entire dmesg as an attachment?
Comment 5 Luo Bin 2009-04-08 20:39:42 EDT
Created attachment 338829 [details]
full dmesg info

full dmesg info attachment added!
Comment 6 Bug Zapper 2009-06-09 05:50:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-04-27 08:18:24 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Mikko Huhtala 2010-06-07 03:13:55 EDT
The bug seems to still be there to some extent in F13. I have

kernel 2.6.33.5-112.fc13.i686

on a dual core Acer TravelMate 8200 with an integrated card reader.

Inserting and reinserting an old Canon-branded 32 MB SD card works, so long as I do 'Eject' from the Gnome menu to disconnect it. If I choose 'Safely Remove Drive', it cannot be reconnected at all and neither can any other SD card. After, 'Safely Remove Drive', no messages appear in the kernel log upon inserting the card either. It seems that the kernel just doesn't see it after than. However, 'Eject' works repeatedly.

Then I have a Kingston 4 GB card that refuses to be mounted at all. It appears in the log upon insertion, but it doesn't get mounted automatically. The device /dev/sdb seems to appear after a while, but it cannot be mounted manually as root. The Kingston card seems to give some sort of an error in Fedora, but it does work reliably in a camera (a Nikon DSLR). I did manage to get files off of the card on a previous F13 kernel version on this same computer, and the card did get mounted automatically, but now I cannot get it to mount no matter what I do.

Here are the relevant bits from /var/log

ATTACH CANON 32 MB (THIS ONE WORKS)

Jun  7 09:49:17 localhost kernel: usb 1-5: new high speed USB device using ehci_hcd and address 4
Jun  7 09:49:18 localhost kernel: usb 1-5: New USB device found, idVendor=1025, idProduct=2228
Jun  7 09:49:18 localhost kernel: usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jun  7 09:49:18 localhost kernel: usb 1-5: Product: Flash Card Reader
Jun  7 09:49:18 localhost kernel: usb 1-5: Manufacturer: Generic
Jun  7 09:49:18 localhost kernel: usb 1-5: SerialNumber: 000022272228
Jun  7 09:49:18 localhost kernel: Initializing USB Mass Storage driver...
Jun  7 09:49:18 localhost kernel: scsi2 : usb-storage 1-5:1.0
Jun  7 09:49:18 localhost kernel: usbcore: registered new interface driver usb-storage
Jun  7 09:49:18 localhost kernel: USB Mass Storage support registered.
Jun  7 09:49:20 localhost kernel: btusb_intr_complete: hci0 urb f25e5980 failed to resubmit (1)
Jun  7 09:49:20 localhost kernel: btusb_bulk_complete: hci0 urb f25e5400 failed to resubmit (1)
Jun  7 09:49:20 localhost kernel: btusb_bulk_complete: hci0 urb f25e5b00 failed to resubmit (1)
Jun  7 09:49:23 localhost kernel: scsi 2:0:0:0: Direct-Access     ACER     USB20 HS-COMBO   3.95 PQ: 0 ANSI: 0
Jun  7 09:49:23 localhost kernel: sd 2:0:0:0: Attached scsi generic sg2 type 0
Jun  7 09:49:23 localhost kernel: sd 2:0:0:0: [sdb] 59776 512-byte logical blocks: (30.6 MB/29.1 MiB)
Jun  7 09:49:23 localhost kernel: sd 2:0:0:0: [sdb] Write Protect is off
Jun  7 09:49:23 localhost kernel: sd 2:0:0:0: [sdb] Assuming drive cache: write through
Jun  7 09:49:23 localhost kernel: sd 2:0:0:0: [sdb] Assuming drive cache: write through
Jun  7 09:49:23 localhost kernel: sdb: sdb1
Jun  7 09:49:23 localhost kernel: sd 2:0:0:0: [sdb] Assuming drive cache: write through
Jun  7 09:49:23 localhost kernel: sd 2:0:0:0: [sdb] Attached SCSI removable disk

REMOVE CARD

Jun  7 09:50:44 localhost kernel: usb 1-5: USB disconnect, address 4

--

ATTACH KINGSTON 4GB (DOESN'T WORK)

Jun  7 09:51:27 localhost kernel: usb 1-5: new high speed USB device using ehci_hcd and address 5
Jun  7 09:51:28 localhost kernel: usb 1-5: New USB device found, idVendor=1025, idProduct=2228
Jun  7 09:51:28 localhost kernel: usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jun  7 09:51:28 localhost kernel: usb 1-5: Product: Flash Card Reader
Jun  7 09:51:28 localhost kernel: usb 1-5: Manufacturer: Generic
Jun  7 09:51:28 localhost kernel: usb 1-5: SerialNumber: 000022272228
Jun  7 09:51:28 localhost kernel: scsi3 : usb-storage 1-5:1.0
Jun  7 09:51:30 localhost kernel: btusb_intr_complete: hci0 urb f2703800 failed to resubmit (1)
Jun  7 09:51:30 localhost kernel: btusb_bulk_complete: hci0 urb f2703700 failed to resubmit (1)
Jun  7 09:51:30 localhost kernel: btusb_bulk_complete: hci0 urb f2703600 failed to resubmit (1)
Jun  7 09:51:33 localhost kernel: scsi 3:0:0:0: Direct-Access     ACER     USB20 HS-COMBO   3.95 PQ: 0 ANSI: 0
Jun  7 09:51:33 localhost kernel: sd 3:0:0:0: Attached scsi generic sg2 type 0

MOMENTS LATER

Jun  7 09:52:04 localhost kernel: usb 1-5: reset high speed USB device using ehci_hcd and address 5
Jun  7 09:52:14 localhost kernel: usb 1-5: reset high speed USB device using ehci_hcd and address 5
Jun  7 09:52:30 localhost kernel: usb 1-5: reset high speed USB device using ehci_hcd and address 5
Jun  7 09:52:30 localhost kernel: usb 1-5: reset high speed USB device using ehci_hcd and address 5
Jun  7 09:52:41 localhost kernel: usb 1-5: reset high speed USB device using ehci_hcd and address 5
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: Device offlined - not ready after error recovery
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: rejecting I/O to offline device
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: rejecting I/O to offline device
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: rejecting I/O to offline device
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: [sdb] READ CAPACITY failed
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: [sdb] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: [sdb] Sense not available.
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: rejecting I/O to offline device
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: [sdb] Write Protect is off
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: [sdb] Assuming drive cache: write through
Jun  7 09:52:41 localhost kernel: sd 3:0:0:0: [sdb] Attached SCSI removable disk

GNOME does not mount it automatically. sdb appears, but it cannot be mount manually either.

DETACH KINGSTON 4 GB

Jun  7 09:57:04 localhost kernel: usb 1-5: USB disconnect, address 5
Comment 9 Luo Bin 2010-06-07 06:53:03 EDT
yes, still exist in F13!

[gcell@ASUS6 ~]$ uname -r
2.6.33.5-112.fc13.i686
[gcell@ASUS6 ~]$ dmesg |tail
sdhci: Argument: 0x00000000 | Trn mode: 0x00000012
sdhci: Present:  0x01f70206 | Host ctl: 0x00000001
sdhci: Power:    0x0000000f | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00004007
sdhci: Timeout:  0x00000009 | Int stat: 0x00000000
sdhci: Int enab: 0x00ff00f3 | Sig enab: 0x00ff00f3
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmc0: error -110 whilst initialising SD card
[gcell@ASUS6 ~]$ dmesg |tail
sdhci: Argument: 0x00000000 | Trn mode: 0x00000012
sdhci: Present:  0x01f70206 | Host ctl: 0x00000001
sdhci: Power:    0x0000000f | Blk gap:  0x00000000
sdhci: Wake-up:  0x00000000 | Clock:    0x00004007
sdhci: Timeout:  0x00000009 | Int stat: 0x00000000
sdhci: Int enab: 0x00ff00f3 | Sig enab: 0x00ff00f3
sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
sdhci: Caps:     0x018021a1 | Max curr: 0x00000040
sdhci: ===========================================
mmc0: error -110 whilst initialising SD card
Comment 10 Bug Zapper 2010-06-28 06:47:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Mikko Huhtala 2010-06-30 03:14:31 EDT
Reopened as #609387 for F13.

Note You need to log in before you can comment on or make changes to this bug.